#include <stdio.h>

#include "hpdi32_dp2_dsl.h"

int hpdi32_dp2_dsl_gpio_dir_show(int fd, int verbose)
{
	int	err;
	int	hwhb;
	int	hwlb;
	int	lwhb;
	int	lwlb;

	err	= hpdi32_dp2_gpio_dir_get(fd, &hwhb, &hwlb, &lwhb, &lwlb);

	if (verbose == 0)
	{
	}
	else if (err)
	{
		printf("hpdi32_dp2_gpio_dir_get() failure, errno = %d\n", err);
	}
	else
	{
		printf("GPIO Direction:\n");
		printf("  D31-D24: %s\n", hwhb ? "Output" : "Input");
		printf("  D23-D16: %s\n", hwlb ? "Output" : "Input");
		printf("  D15-D08: %s\n", lwhb ? "Output" : "Input");
		printf("  D07-D00: %s\n", lwlb ? "Output" : "Input");
	}

	return(err);
}
