#include <stdio.h>

#include "hpdi32_dp2_dsl.h"

int hpdi32_dp2_dsl_predrive_show(int fd, int verbose)
{
	int	count;
	int	err;
	int	enable;
	int	high;

	err	= hpdi32_dp2_predrive_get(fd, &enable, &high, &count);

	if (verbose == 0)
	{
	}
	else if (err)
	{
		printf("hpdi32_dp2_predrive_get() failure, errno = %d\n", err);
	}
	else
	{
		printf("PreDrive Configuration:\n");
		printf("  Enabled: %s\n", enable ? "Yes" : "No");
		printf("  Level:   %s\n", high ? "High" : "Low");
		printf("  Period:  %0.3fns\n", (float) 31.25 * count);
	}

	return(err);
}
