#include <stdio.h>

#include "hpdi32_dp2_dsl.h"

int hpdi32_dp2_dsl_tx_config_show(int fd, int verbose)
{
	int		big;
	int		enable;
	int		err;
	__u32	length;
	int		raw;
	int		start;

	err	= hpdi32_dp2_tx_config_get(	fd,
									&enable,
									&start,
									&big,
									&raw,
									&length);

	if (verbose == 0)
	{
	}
	else if (err)
	{
		printf("hpdi32_dp2_t_config_get() failure, errno = %d\n", err);
	}
	else
	{
		printf("Tx Configuration:\n");
		printf("  Enabled:    %s\n", enable ? "Yes" : "No");
		printf("  Tx Start:   %s\n", start ? "Set" : "Clear");
		printf("  Endianness: %s\n", big ? "Big" : "Little");
		printf("  Raw Output: %s\n", raw ? "Yes" : "No (unencoded)");
		printf("  Msg length: %d\n", length);
	}

	return(err);
}
