/* This software is covered by the GNU GENERAL PUBLIC LICENSE (GPL). */
/* $Revision: 1 $ */
/* $Date: 2/22/06 10:03a $ */
/* $Log: /NEW SOURCESAFE DATABASE/DIGITAL/Drivers/LINUX/HPDI32_Linux/HPDI32_Linux_Ver.1.13.0-GSC-DN/diphase2/docsrc/hpdi32_dp2_dsl.h $
 *
 * 1     2/22/06 10:03a Dnewbold
*/

#ifndef __HPDI32_DP2_DSL_H__
#define __HPDI32_DP2_DSL_H__

#include "hpdi32_diphase2.h"



/* prototypes	**************************************************************/

int		hpdi32_dp2_dsl_bcr_clear(int fd, int verbose);
int		hpdi32_dp2_dsl_board_reset(int fd, int verbose);
int		hpdi32_dp2_dsl_gpio_dir_init(int fd, int verbose);
int		hpdi32_dp2_dsl_gpio_dir_show(int fd, int verbose);
int		hpdi32_dp2_dsl_gpio_lwlb_low(int fd, int verbose);
int		hpdi32_dp2_dsl_gpio_rx(int fd, __u32* value, int verbose);
int		hpdi32_dp2_dsl_gpio_tx(int fd, __u32 value, int verbose);
int		hpdi32_dp2_dsl_loop_back_enable(int fd, int verbose);
int		hpdi32_dp2_dsl_predrive_show(int fd, int verbose);
int		hpdi32_dp2_dsl_predrive_init(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_config_reset(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_config_show(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_fifo_almost_init(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_fifo_almost_show(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_fifo_clear(int fd, int verbose);
int		hpdi32_dp2_dsl_rx_msg_size_show(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_config_reset(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_config_show(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_fifo_almost_init(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_fifo_almost_show(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_fifo_clear(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_last_msg_size_show(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_start(int fd, int verbose);
int		hpdi32_dp2_dsl_tx_started(int fd, int verbose);
void	hpdi32_dp2_dsl_version_show(int verbose);



#endif
