#include <stdio.h>

#include "hpdi32_dp2_dsl.h"

int hpdi32_dp2_dsl_rx_config_show(int fd, int verbose)
{
	int	all;
	int	big;
	int	enable;
	int	err;
	int	hdr;

	err	= hpdi32_dp2_rx_config_get(fd, &enable, &big, &hdr, &all);

	if (verbose == 0)
	{
	}
	else if (err)
	{
		printf(	"hpdi32_dp2_rx_config_get() failure, errno = %d\n",
				err);
	}
	else
	{
		printf("Rx Configuration:\n");
		printf("  Enabled:     %s\n", enable ? "Yes" : "No");
		printf("  Endianness:  %s\n", big ? "Big" : "Little");
		printf("  Header Size: %d bytes\n", hdr ? 14 : 10);
		printf("  All Data:    %s\n", all ? "Yes" : "No");
	}

	return(err);
}
