#include <stdio.h>

#include "hpdi32_dp2_dsl.h"

int hpdi32_dp2_dsl_tx_started(int fd, int verbose)
{
	__u32	bcr;
	int		err;

	err	= hpdi32_dp2_reg_read(fd, HPDI32_GSC_BCR, &bcr);

	if (verbose == 0)
		;
	else if (err)
		printf("hpdi32_dp2_reg_read() failure, errno = %d\n", err);
	else if (bcr & HPDI32_GSC_BCR_TX_START)
		printf("Tx Started: Yes\n");
	else
		printf("Tx Started: No\n");

	return(err);
}
