/* $Revision: 1 $ */
/* $Date: 2/22/06 10:08a $ */

#include <stdio.h>

#include "hpdi32_diphase2.h"
#include "util_label.h"



/*****************************************************************************
*
*	Function:	id_dp2_library
*
*	Purpose:
*
*		Identify the DiPhase 2 library version number.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void id_dp2_library(void)
{
	char	built[32];
	char	version[8];

	label("DiPhase 2 Library");
	printf("\n");
	label_level_inc();

	hpdi32_dp2_lib_version_get(version, sizeof(version), built, sizeof(built));

	label("Version");
	printf("%s\n", version);

	label("Built");
	printf("%s\n", built);

	label_level_dec();
}



